%global  api_ver 1.0

Name:           goocanvasmm
Version:        0.15.4
Release:        3%{?dist}

Summary:        C++ interface for goocanvas

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.15/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glibmm24-devel >= 2.14.2
BuildRequires:  gtkmm24-devel >= 2.22.0
BuildRequires:  goocanvas-devel >= 0.15
BuildRequires:  doxygen graphviz


%description
This package provides a C++ interface for goocanvas. It is a
subpackage of the gtkmm project. The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel
Requires:       goocanvas-devel
Requires:       pkgconfig


%description devel
This package contains the libraries and header files needed for
developing applications with %{name}.


%prep
%setup -q


%build
%configure --enable-shared
make %{?_smp_mflags}
# Build documentation
(cd doc/reference; doxygen -u 2> /dev/null)


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%{_includedir}/%{name}-%{api_ver}
%{_libdir}/%{name}-%{api_ver}/include/goocanvasmmconfig.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/devhelp/books/%{name}-%{api_ver}/%{name}-%{api_ver}.devhelp2
%doc %{_datadir}/doc/%{name}-%{api_ver}/reference/*


%changelog
* Sun Feb 20 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 0.15.4-3
- fix devhelp documentation location

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 26 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 0.15.4-1
- Update to upstream 0.15.4

* Sun Sep 03 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 0.15.3-1
- Update to upstream 0.15.3

* Mon Apr 26 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 0.15.2-1
- Update to upstream 0.15.2

* Mon Apr 26 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 0.15.1-1
- Update to upstream 0.15.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 23 2009 Denis <denis@poolshark.org> - 0.14.0-1
- Update to upstream 0.14.0

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Denis Leroy <denis@poolshark.org> - 0.13.0-1
- Update to upstream 0.13.0

* Wed Sep  3 2008 Denis Leroy <denis@poolshark.org> - 0.9.0-1
- Update to upstream 0.9.0

* Fri Jul 11 2008 Denis Leroy <denis@poolshark.org> - 0.6.0-1
- Update to upstream 0.6.0
- Updated BRs

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-3
- Autorebuild for GCC 4.3

* Wed Nov 28 2007 Denis Leroy <denis@poolshark.org> - 0.4.0-2
- Added graphviz dep, fixed doxygen warning

* Sun Nov 25 2007 Denis Leroy <denis@poolshark.org> - 0.4.0-1
- Initial version

